List users of a client
GET/nevisidm/api/core/v1/clients/:extId/users
Since: 2.71.0
Required permission(s): AccessControl.ClientView,AccessControl.UserView,AccessControl.PropertyView,AccessControl.PropertyValueView,AccessControl.PropertyAllowedValueView
Returns all users belonging to the client with the given external ID. Supports sorting result via sortBy query parameter. Possible values:
- extId,
- loginId,
- isTechnicalUser,
- name.title,
- name.firstName,
- name.familyName,
- birthDate,
- address.countryCode,
- address.city,
- address.postalCode,
- address.addressline1,
- address.addressline2,
- address.street,
- address.houseNumber,
- address.dwellingNumber,
- address.postOfficeBoxText,
- address.postOfficeBoxNumber,
- address.locality,
- contacts.telephone,
- contacts.telefax,
- contacts.mobile,
- contacts.email,
- validity.to,
- validity.from,
- remarks,
- version,
- created,
- lastModified
Supports offset-based pagination. The offset query parameter specifies the offset of the first result to be returned. If both continuation token and offset are provided, the continuation token is ignored.
Filtering is supported by property or any user field. Supported filter fields:
- extId
- userState
- loginId
- languageCode
- isTechnicalUser
- name.title
- name.firstName
- name.familyName
- sex
- gender
- birthDate
- address.countryCode
- address.city
- address.postalCode
- address.addressline1
- address.addressline2
- address.street
- address.houseNumber
- address.dwellingNumber
- address.postOfficeBoxText
- address.postOfficeBoxNumber
- address.locality
- contacts.telephone
- contacts.telefax
- contacts.email
- contacts.mobile
- validity.from
- validity.to
- remarks
- modificationComment
- version
- created
- lastModified
Modifiers for extId and loginId: _SW (starts with), _IEQ (case-insensitive full match).
Example filter queries:
- ?property.user%20global%20test%201=ffgg&property.user%20global%20test%20status=ACTIVE
- ?extId=100&userState=ACTIVE
- ?extId_SW=boo&userState=ACTIVE
- ?loginId_IEQ=BOOTSTRAP&languageCode=en
- ?isTechnicalUser=false&name.title=Mr.
- ?address.street=Roentgenstrasse&address.houseNumber=22
- ?contacts.telephone=0444444444&contacts.email=[email protected]
Example sort queries:- ?sortBy=extId
- ?sortBy=extId_DESC
- ?sortBy=extId_ASC
Set returnTotalResultCount=true to include the total count in the _pagination response.
Request
Responses
- 200
- 403
- 404
- 422
Users retrieved successfully
Insufficient permissions
Referenced resource not found
Invalid client data